/**
 * 初始化人才认定申报详情对话框
 */
var locked = false;
var TalentInfoInfoDlg = {
    talentInfoInfoData : {},
};




/**
 * 获取人才认定
 */
TalentInfoInfoDlg.getIdentifyCondition = function() {
    var level = $("#talent_arrange").val();
    var type = $("#type").val();
    if(level==null||level==''){
        $("#talent_condition").empty();
        $("#talent_condition").trigger('chosen:updated');
        return;
    }
    Feng.addAjaxSelect({
        "id": "talent_condition",
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/api/findIdentifyConditionByLevel?level=" + level + "&type=" + type
    });
    $("#talent_condition").trigger('chosen:updated');
}

TalentInfoInfoDlg.bankChange = function () {
    var bank = $("#bank").val();
    if($.trim(bank)=='中国工商银行'){
        $("#bank_number").val('102391050013');
    }else {
        $("#bank_number").val('');
    }
}


/**
 * 加载市
 */
TalentInfoInfoDlg.afterSelectProvince = function () {
    var province = $("#province").val();
    $("#city").empty();
    $("#county").empty();
    if(province==null||province==''){
        return;
    }
    Feng.addAjaxSelect({
        "id": "city",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/tool/findCityByProvinceSelect/code/" + province
    });
}
/**
 * 加载县
 */
TalentInfoInfoDlg.afterSelectCity = function (){
    var city = $("#city").val();
    $("#county").empty();
    if(city==null||city==''){
        return;
    }
    Feng.addAjaxSelect({
        "id": "county",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/tool/findCountyByCitySelect/code/" + city
    });
}
//初始化附件类别表单
TalentInfoInfoDlg.initFileTable = function (){
    var queryData = {};
    queryData['project'] = CONFIG.project_rcrd;
    queryData['type'] = $("#type").val();
    queryData['checkState'] = $("#checkState").val();
    queryData['isMix'] = 1;
    $("#fileTable").bootstrapTable({
        url: Feng.ctxPath + "/common/api/findCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,               //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData,params)
        },
        rowStyle: function (row, index) {
            return {classes:"info"};
        },
        columns: TalentInfoInfoDlg.initFileTypeColumn(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax(Feng.ctxPath + "/common/api/listTalentFile", function (data) {
                if(data==null||data.length==0){
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li>';
                var files = $("#files").val();
                var checkState = $("#checkState").val();
                for(var key in data){
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn+1,data[key].url.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else if(suffix == "xlsx" || suffix=="XLSX" || suffix == 'xls' || suffix == 'XLS'){
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        imgStr = '<img class=\"imgUrl\"  src=\"'+data[key].url+'\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">'+data[key].id+'</li>\n'+
                        '<li style="width: 80%;padding-top: 5px;">'+data[key].orignName+'</li>\n'+
                        '<li style="width: 10%;">'+imgStr+'</li>\n';
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({ fullscreen:false});
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });

}


/**
 * 初始化表格的列
 */
TalentInfoInfoDlg.initFileTypeColumn = function () {
    return [
        {field: 'selectItem', checkbox:false,visible:false},
        {title: '名称', field: 'name', visible: true, align: 'center', valign: 'middle',width:"30%",'class': 'uitd_showTip',
            formatter : function(value,row,index){
                if(row.must==1){
                    return '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> '+ value;
                }if(row.must==2){
                    return '<i class="fa fa-paste"></i>'+value;
                }
            }
        },
        {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle',width:"8%",
            formatter : function(value,row,index){
                if(value==null||value==''||value=='null'){
                    return '无';
                }
                return "<button type='button' onclick=\"TalentInfoInfoDlg.downloadFile('"+row.id+"',5)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                    "<i class=\"fa fa-download\"></i>下载" +
                    "</button>";
            }
        },
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"52%",'class': 'uitd_showTip'},
    ]
};

TalentInfoInfoDlg.downloadFile = function (id,type){
    window.location.href = Feng.ctxPath + "/common/api/downloadFile?id=" + id + "&type="+type;
}

$(function() {
    //批量加载字典表数据
    var arr = [
        {"name": "nation", "code": "nation"},
        {"name": "talent_arrange", "code": "talent_arrange"},
        {"name": "nationality", "code": "nationality"},
        {"name": "politics", "code": "politics"},
        {"name": "highest_degree", "code": "highest_degree"}];
    Feng.findChildDictBatch(JSON.stringify(arr));
    //加载省份
    Feng.addAjaxSelect({
        "id": "province",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/getProvinceSelect"
    });
    var id = $("#id").val();
    if(id!=null && id!=''){
        $("select").each(function () {
            $(this).val($(this).attr("value")).trigger("change");
        });
        Feng.getCheckLog("logTable",{"type":CONFIG.project_rcrd,"mainId":id,"typeFileId":"","active":1})
    }
    $("#address").val($("#address").attr("value"));
    $("#province").val($("#province").attr("value"));
    TalentInfoInfoDlg.afterSelectProvince();
    $("#city").val($("#city").attr("value"));
    TalentInfoInfoDlg.afterSelectCity();
    $("#county").val($("#county").attr("value"));
    $("#talent_arrange").val($("#talent_arrange").attr("value"));
    TalentInfoInfoDlg.getIdentifyCondition();
    $("#talent_arrange").val($("#talent_arrange").attr("value"));
    $("#talent_condition").val($("#talent_condition").attr("value"));
    $("input,select,textarea").not("input[type='hidden']").not("input[type='file']").attr("style","pointer-events: none;background-color: #eee;");
});


